Bug 221035 - [MacOS] Enable WebKitTestRunner audio and video capture in GPUProcess
Summary: [MacOS] Enable WebKitTestRunner audio and video capture in GPUProcess
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebRTC (show other bugs)
Version: WebKit Local Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: youenn fablet
URL:
Keywords: InRadar
Depends on:
Blocks: 220966
  Show dependency treegraph
 
Reported: 2021-01-27 05:36 PST by youenn fablet
Modified: 2021-02-03 17:46 PST (History)
11 users (show)

See Also:


Attachments
Patch (2.40 KB, patch)
2021-01-27 05:37 PST, youenn fablet
no flags Details | Formatted Diff | Diff
Patch (5.63 KB, patch)
2021-01-28 00:46 PST, youenn fablet
no flags Details | Formatted Diff | Diff
Patch (5.27 KB, patch)
2021-01-28 12:55 PST, youenn fablet
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description youenn fablet 2021-01-27 05:36:17 PST
[MacOS] Enable WebKitTestRunner audio and video capture in GPUProcess
Comment 1 youenn fablet 2021-01-27 05:37:32 PST
Created attachment 418535 [details]
Patch
Comment 2 youenn fablet 2021-01-28 00:46:29 PST
Created attachment 418628 [details]
Patch
Comment 3 Eric Carlson 2021-01-28 10:50:15 PST
Comment on attachment 418628 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=418628&action=review

> Tools/ChangeLog:9
> +        On iOS, capture ill still happen inprocess for the time being.

s/ill/still/
Comment 4 Sam Weinig 2021-01-28 12:01:56 PST
Comment on attachment 418628 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=418628&action=review

> Tools/WebKitTestRunner/TestController.cpp:933
> +#if PLATFORM(MAC)
> +    WKPreferencesSetCaptureAudioInGPUProcessEnabled(preferences, true);
> +    WKPreferencesSetCaptureVideoInGPUProcessEnabled(preferences, true);
> +#endif

Please keep this in TestOptions.cpp. Trying to have all the state in one place moving away from having it here.
Comment 5 youenn fablet 2021-01-28 12:55:55 PST
Created attachment 418663 [details]
Patch
Comment 6 EWS 2021-01-29 01:01:28 PST
Committed r272053: <https://trac.webkit.org/changeset/272053>

All reviewed patches have been landed. Closing bug and clearing flags on attachment 418663 [details].
Comment 7 Radar WebKit Bug Importer 2021-01-29 01:03:28 PST
<rdar://problem/73745204>